Bug 152406 - CVE-2005-0815 isofs range checking flaws
CVE-2005-0815 isofs range checking flaws
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Staubach
Brian Brock
public=20050317,source=bugtraq,report...
: Security
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2005-03-29 05:26 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:52:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Testscript (1.46 KB, text/plain)
2005-06-13 14:49 EDT, Peter Staubach
no flags Details

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-29 05:26:13 EST
Michal Zalewski discovered some flaws in the iso9660 filesystem.  These flaws
could allow a malicious iso filesystem to cause a DoS or potentially execute
arbitrary code if mounted/examined.  Rated as a moderate severity issue as
requires a local user who has permissions to mount a filesystem (or physical
access to the console).

http://marc.theaimsgroup.com/?l=bugtraq&m=111110067304783

fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244beb4CNM5FJ-dSQjYbDZ1wJ2yNQ
fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244be82bvD-_7wwLkYa0visB12aEw
fixed=2.6 (20050325
http://linux.bkbits.net:8080/linux-2.6/cset@4244bedbODYVU4s1YAGRvZSt28TAgA
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244a3d91w2q8hQzZefX9zsDlTlJtA
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244a3aeRsXj7r4AC7s1QgPvWpjtoA
fixed=2.4 (20050325
http://linux.bkbits.net:8080/linux-2.4/cset@4244a417jb-ZTWgax2mcR2so3l3KaQ
Comment 3 Peter Staubach 2005-06-13 14:49:30 EDT
Created attachment 115366 [details]
Testscript

Test script to generate "mangled" ISO images and then touch them.
Comment 4 Ernie Petrides 2005-06-13 17:45:42 EDT
Patch posted for review on 13-Jun-2005.
Comment 6 Ernie Petrides 2005-06-14 21:07:07 EDT
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.8.EL).
Comment 12 Red Hat Bugzilla 2005-09-28 10:52:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.